[flake8]
max-line-length = 120
max-complexity = 10
ignore =
    # W503: line break before binary operator (non-PEP8-compliant anyway)
    W503,
    # C901: Function is too complex
    C901,
    # E731: Do not assign a lambda expression, use a def
    E731,
    # W605: Invalid escape sequence 'x'
    W605,
    # E203: From black: This behaviour may raise E203 whitespace before ':' warnings in style guide enforcement
    # tools like Flake8. Since E203 is not PEP 8 compliant, you should tell Flake8 to ignore these warnings
    E203


exclude =
    .git,
    .env
    .venv
    .venv39,
    env,
    venv,
    venv39,
    __pycache__,
    migrations,
    settings,
    manage.py,
    tests,
    __init__.py,

